Jump to content

Search the Community

Showing results for tags 'perl'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Keenetic Community
    • Keenetic Development
    • Keenetic Community Support
    • KeeneticOS Testing
    • Mobile App
  • Open Package Support
    • Opkg Help
    • Opkg Cookbook
    • Opkg Cookbook RUS

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


Location


Web-site


Interests


Occupation


AOL Account


ICQ Account


WLM


YAHOO


Facebook Account


Twitter Account


Skype Account


Youtube Account


Google+ Account


Keenetic

Found 4 results

  1. Entware (не 3х) Не получается установить необходимые модули perl как с помощью CPAN, так и в ручную. Попытка установить через CPAN всегда заканчивается переполнением памяти : # perl -MCPAN -e shell Terminal does not support AddHistory. Can't exec "pwd": No such file or directory at /opt/lib/perl5/5.24/Cwd.pm line 209. cpan shell -- CPAN exploration and modules installation (v2.1101) Enter 'h' for help. cpan[1]> install CPAN Fetching with HTTP::Tiny: http://www.cpan.org/authors/01mailrc.txt.gz Reading '/opt/root/.cpan/sources/authors/01mailrc.txt.gz' ............................................................................DONE Fetching with HTTP::Tiny: http://www.cpan.org/modules/02packages.details.txt.gz Reading '/opt/root/.cpan/sources/modules/02packages.details.txt.gz' Database was generated on Fri, 15 Dec 2017 11:53:55 GMT ............. New CPAN.pm version (v2.16) available. [Currently running version is v2.1101] You might want to try install CPAN reload cpan to both upgrade CPAN.pm and run the new version without leaving the current session. ...................................................Killed Ручная установка тоже всегда заканчивается каким-нибудь ошибками: ~/CPAN-DistnameInfo-0.12 # perl Makefile.PL && make && make install Checking if your kit is complete... Looks good Generating a Unix-style Makefile Writing Makefile for CPAN::DistnameInfo Writing MYMETA.yml and MYMETA.json cp lib/CPAN/DistnameInfo.pm blib/lib/CPAN/DistnameInfo.pm !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERROR: Couldn't chdir to '': No such file or directory !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! at -e line 1. make: *** [Makefile:682: pure_site_install] Error 2 Установка из CPAN вообще возможна? Или придётся довольствоваться тем что есть среди пакетов perlbase-*?
  2. насколько мне удалось разобраться то скрип использует модули Perl подскажите что подправить или добавить синтаксис для запуска такой ./check_bl -H mail.ru -B zen.spamhaus.org bl.spamcop.net dnsbl.ahbl.org dnsbl.njabl.org dnsbl.sorbs.net virbl.dnsbl.bit.nl rbl.efnet.org check_bl
  3. Попробовал настроить блокировку рекламы через Privoxy (топик), настраивал по инструкциям в шапке с использованием конфигов и скриптов из этого поста. Хочу сразу сказать большое спасибо пользователям @Sunix и @Dorik1972 за инструкции по настройке, и @zyxmon - за советы по отладке правил маршрутизации: фильтр поднялся, и в текущем состоянии блокирует большую часть рекламы (в т.ч в некоторых приложениях на iOS после указания прокси в настройках WiFi). Теперь - к проблеме, с которой я столкнулся: скрипт от @Dorik1972 для обновления фильтров отказывается выполняться, жалуясь на отсутствующий модуль: ~ # ../etc/privoxy/privoxy-bl-upd.pl Can't locate strict.pm in @INC (you may need to install the strict module) (@INC contains: /opt/lib/perl5/5.24 .) at ../etc/privoxy/privoxy-bl-upd.pl line 28. BEGIN failed--compilation aborted at ../etc/privoxy/privoxy-bl-upd.pl line 28. Были подозрения, что где-то напортачил при установке/распаковке архива или не задал нужные права на исполнение, но поиск "strict.pm" по системе результатов не дал, т.е. нужный файл, похоже, и правда отсутствует. Пожалуйста, помогите. Пациент - Keenetic Ultra rev.A v2.08(AAGJ.0)C2, система - Entware-3x, список установленных пакетов - под катом. Если потребуется ещё какая-то информация - буду готов предоставить. privoxy_conf_v.2.tar.gz
  4. Добрый день. Поиск рыл, ничего не нашел. Вопрос - не могу прикрутить sqlite к Perl'у. Установил сам Perl, установил perl-dbi. При выполнении простого скрипта #!/opt/bin/perl use DBI; use strict; my $driver = "SQLite"; my $database = "test.db"; my $dsn = "DBI:$driver:dbname=$database"; my $userid = "root"; my $password = "654321"; my $dbh = DBI->connect($dsn, $userid, $password, { RaiseError => 1 }) or die $DBI::errstr; print "Opened database successfully\n"; выдает следующее install_driver(SQLite) failed: Can't locate DBD/SQLite.pm in @INC (you may need to install the DBD::SQLite module) (@INC contains: /opt/lib/perl5/5.22 .) at (eval 5) line 3. Perhaps the DBD::SQLite perl module hasn't been fully installed, or perhaps the capitalisation of 'SQLite' isn't right. Available drivers: DBM, ExampleP, File, Gofer, Proxy, Sponge. at ./test.pl line 11. С бубном бегал (пытался устанавливать perlbase-anydbm-file и проч. Не помогло. Куда смотреть? Спасибо.
×
×
  • Create New...